Package com.independentsoft.office.odf.fields

# Class DatabaseName

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.DatabaseName

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class DatabaseName extends Field
Represents the database and table name of the last used table.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseName()`
  Initializes a new instance of the DatabaseName class.
  `DatabaseName​(InternalXMLStreamReader reader)`
  Instantiates a new database name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatabaseName`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getName()`
  Gets the source database by its name.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getTableName()`
  Gets a table within a source database.
  `TableType`
  `getTableType()`
  Gets the reference made by a database table.
  `String`
  `getValue()`
  Gets the database name.
  `void`
  `setName​(String name)`
  Sets the source database by its name.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setTableName​(String tableName)`
  Sets a table within a source database.
  `void`
  `setTableType​(TableType tableType)`
  Sets the reference made by a database table.
  `void`
  `setValue​(String value)`
  Sets the database name.
  `String`
  `toString()`
  Converts the value of the current DatabaseName object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DatabaseName

    public DatabaseName()
    Initializes a new instance of the DatabaseName class.

  - ### DatabaseName

    public DatabaseName​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new database name.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public DatabaseName clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DatabaseName object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the source database by its name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the source database by its name.
    Parameters:
      `name` - the new name

  - ### getTableName

    public String getTableName()
    Gets a table within a source database.
    Returns:
      the table name

  - ### setTableName

    public void setTableName​(String tableName)
    Sets a table within a source database.
    Parameters:
      `tableName` - the new table name

  - ### getTableType

    public TableType getTableType()
    Gets the reference made by a database table.
    Returns:
      the table type

  - ### setTableType

    public void setTableType​(TableType tableType)
    Sets the reference made by a database table.
    Parameters:
      `tableType` - the new table type

  - ### getValue

    public String getValue()
    Gets the database name.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the database name.
    Parameters:
      `value` - the new value